

Patch from: john stultz <johnstul@us.ibm.com>

The kernel will currently panic if it was built with CONFIG_X86_TSC and
someone boots it with `notsc'.

Change it to just print a warning.




 arch/i386/kernel/timers/timer_tsc.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/timers/timer_tsc.c~notsc-panic arch/i386/kernel/timers/timer_tsc.c
--- 25/arch/i386/kernel/timers/timer_tsc.c~notsc-panic	2003-02-26 01:37:40.000000000 -0800
+++ 25-akpm/arch/i386/kernel/timers/timer_tsc.c	2003-02-26 01:37:40.000000000 -0800
@@ -299,6 +299,7 @@ static int init_tsc(void)
 	return -ENODEV;
 }
 
+#ifndef CONFIG_X86_TSC
 /* disable flag for tsc.  Takes effect by clearing the TSC cpu flag
  * in cpu/common.c */
 static int __init tsc_setup(char *str)
@@ -306,7 +307,14 @@ static int __init tsc_setup(char *str)
 	tsc_disable = 1;
 	return 1;
 }
-
+#else
+static int __init tsc_setup(char *str)
+{
+	printk(KERN_WARNING "notsc: Kernel compiled with CONFIG_X86_TSC, "
+				"cannot disable TSC.\n");
+	return 1;
+}
+#endif
 __setup("notsc", tsc_setup);
 
 

_
